from __future__ import print_function

import hid
import time
import thread
import socket

wasError=False


def readHid(hidDevice):
    print("Started reading plantronics device")
    try:
        while True:
	    data = hidDevice.read(64)
	    time.sleep(0.1)
	    if data:
		time.sleep(0.1)
		if ((data[0]==2) and (data[1]==0)):
		    hidDevice.write([23,1])
		print(data)
		
		try:
		    sock = socket.socket(socket.AF_INET,socket.SOCK_DGRAM)
		    server_address =('127.0.0.1',11123)
		    sock.sendto(bytes(data),server_address)
		finally:
		    sock.close()		
	    else:
		time.sleep(0.1)
    except IOError as ex:
        print(ex)
    finally:
	print("Ustawiam ... ")
	global wasError
	wasError = True

# try opening a device, then perform write and read
try:
    print("Opening the device")

    h = hid.device()
#    046d:c31d
#    h.open(0x046D,0xC31D)
    h.open(0x047F, 0xAB01) # TREZOR VendorID/ProductID

    print("Manufacturer: %s" % h.get_manufacturer_string())
    print("Product: %s" % h.get_product_string())
    print("Serial No: %s" % h.get_serial_number_string())

    # enable non-blocking mode
    #h.set_nonblocking(1)

    # write some data to the device
    print("Write the data")
    h.write([23,0])
    print("Closing the device")
    thread.start_new_thread(readHid,(h,))
    while 1:
	if (wasError):
	    print("Koniec")
	    break
	time.sleep(0.1)

except IOError as ex:
    print(ex)
    print("You probably don't have the hard coded device. Update the hid.device line")
    print("in this script with one from the enumeration list output above and try again.")

print("Done")
